* [gentoo-commits] proj/dotnet:master commit in: app-editors/mypad/, dev-dotnet/ndepend-path/, dev-util/mono-packaging-tools/
@ 2017-07-04 13:18 Mikhail Pukhlikov
0 siblings, 0 replies; only message in thread
From: Mikhail Pukhlikov @ 2017-07-04 13:18 UTC (permalink / raw
To: gentoo-commits
commit: 54891d55fad716a857c61a4a86a5a2142bcd05f1
Author: ArsenShnurkov <ArsenShnurkov <AT> users <DOT> noreply <DOT> github <DOT> com>
AuthorDate: Sat Jun 17 09:01:37 2017 +0000
Commit: Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Sat Jun 17 09:11:38 2017 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=54891d55
fix dependency on NDepend.Path
...130.ebuild => mypad-1.0.3_p201606130-r1.ebuild} | 37 +++--
dev-dotnet/ndepend-path/metadata.xml | 6 +
.../ndepend-path/ndepend-path-0.0_p20151123.ebuild | 51 +++++++
.../mono-packaging-tools-1.4.2.2-r1.ebuild | 154 ---------------------
4 files changed, 75 insertions(+), 173 deletions(-)
diff --git a/app-editors/mypad/mypad-1.0.3_p201606130.ebuild b/app-editors/mypad/mypad-1.0.3_p201606130-r1.ebuild
similarity index 83%
rename from app-editors/mypad/mypad-1.0.3_p201606130.ebuild
rename to app-editors/mypad/mypad-1.0.3_p201606130-r1.ebuild
index 603f4da..d03b26f 100644
--- a/app-editors/mypad/mypad-1.0.3_p201606130.ebuild
+++ b/app-editors/mypad/mypad-1.0.3_p201606130-r1.ebuild
@@ -4,6 +4,13 @@
EAPI="6"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="mirror"
+
+SLOT="1"
+IUSE="net45 debug developer"
+USE_DOTNET="net45"
+
inherit eutils gnome2-utils dotnet
DESCRIPTION="mypad text editor"
@@ -12,32 +19,26 @@ LICENSE="MIT"
PROJECTNAME="mypad-winforms-texteditor"
HOMEPAGE="https://github.com/ArsenShnurkov/${PROJECTNAME}"
EGIT_COMMIT="c1c79094eb5339309e3767f64d4e87f6214e7faa"
-SRC_URI="${HOMEPAGE}/archive/${EGIT_COMMIT}.zip -> ${P}-${PR}.zip"
-
-SLOT="1"
-IUSE="net45 debug developer"
-USE_DOTNET="net45"
-
-KEYWORDS="~amd64 ~x86"
+SRC_URI="${HOMEPAGE}/archive/${EGIT_COMMIT}.tar.gz -> ${PN}-${PV}.tar.gz"
+S="${WORKDIR}/${PROJECTNAME}-${EGIT_COMMIT}"
-ALLPEND="|| ( >=dev-lang/mono-4 <dev-lang/mono-9999 )
- || ( dev-dotnet/icsharpcodetexteditor[nupkg] dev-dotnet/icsharpcodetexteditor[gac] )
+CDEPEND="|| ( >=dev-lang/mono-4 <dev-lang/mono-9999 )
+ || ( dev-dotnet/icsharpcodetexteditor[gac] )
+ || ( dev-dotnet/ndepend-path[gac] )
"
# The DEPEND ebuild variable should specify any dependencies which are
# required to unpack, patch, compile or install the package
-DEPEND="${ALLPEND}
+DEPEND="${CDEPEND}
dev-dotnet/nuget
"
# The RDEPEND ebuild variable should specify any dependencies which are
# required at runtime.
# when installing from a binary package, only RDEPEND will be checked.
-RDEPEND="${ALLPEND}
+RDEPEND="${CDEPEND}
"
-S="${WORKDIR}/${PROJECTNAME}-${EGIT_COMMIT}"
-
# METAFILETOBUILD=${PROJECTNAME}.sln
METAFILETOBUILD=MyPad.sln
@@ -46,11 +47,12 @@ pkg_preinst() {
}
src_prepare() {
-# elog "Patching"
eapply "${FILESDIR}/0001-.csproj-dependency-.nupkg-dependency.patch"
eapply "${FILESDIR}/0001-remove-project-from-solution.patch"
- elog "NuGet restore"
- /usr/bin/nuget restore ${METAFILETOBUILD} || die
+ find "${S}" -iname "*.cs" -exec sed -i "s/using NDepend.Path.Interface.Core;//g" {} \; || die
+ #elog "NuGet restore"
+ #addwrite "/usr/share/.mono/keypairs"
+ #/usr/bin/nuget restore ${METAFILETOBUILD} || die
eapply_user
}
@@ -71,9 +73,6 @@ src_install() {
insinto /usr/lib/mypad-${PV}/
newins "${BINDIR}/MyPad.exe" MyPad.exe
make_wrapper mypad "mono /usr/lib/mypad-${PV}/MyPad.exe"
- # Don't dlls should be in GAC ?
- doins "${BINDIR}/NDepend.Path.dll"
- doins "${BINDIR}/NDepend.Path.Interfaces.dll"
elog "Installing syntax coloring schemes for editor"
dodir /usr/lib/mypad-${PV}/Modes
diff --git a/dev-dotnet/ndepend-path/metadata.xml b/dev-dotnet/ndepend-path/metadata.xml
new file mode 100644
index 0000000..d74ab10
--- /dev/null
+++ b/dev-dotnet/ndepend-path/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<use>
+</use>
+</pkgmetadata>
diff --git a/dev-dotnet/ndepend-path/ndepend-path-0.0_p20151123.ebuild b/dev-dotnet/ndepend-path/ndepend-path-0.0_p20151123.ebuild
new file mode 100644
index 0000000..b7f3785
--- /dev/null
+++ b/dev-dotnet/ndepend-path/ndepend-path-0.0_p20151123.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="6"
+
+KEYWORDS="~x86 ~amd64 ~ppc"
+RESTRICT="mirror"
+
+SLOT="0"
+
+IUSE="debug"
+USE_DOTNET="net40"
+
+inherit dotnet gac mpt-r20150903
+
+DESCRIPTION="C# framework for paths operations: Absolute, Drive Letter, UNC, Relative, prefixed"
+LICENSE="MIT"
+NAME="NDepend.Path"
+HOMEPAGE="https://github.com/psmacchia/${NAME}"
+EGIT_COMMIT="96008fcfbc137eac6fd327387b80b14909a581a1"
+SRC_URI="${HOMEPAGE}/archive/${EGIT_COMMIT}.tar.gz -> ${PN}-${PV}.tar.gz"
+S="${WORKDIR}/${NAME}-${EGIT_COMMIT}"
+
+
+CDEPEND="|| ( >=dev-lang/mono-4 <dev-lang/mono-9999 )"
+DEPEND="${CDEPEND}"
+RDEPEND="${CDEPEND}"
+
+DLLNAME=${NAME}
+FULLSLN=${NAME}.sln
+
+src_prepare() {
+ empt-csproj --dir="${S}/${NAME}" --remove-reference "Microsoft.Contracts"
+ empt-sln --sln-file "${S}/${FULLSLN}" --remove-proj "NDepend.Path.Tests"
+ eapply_user
+}
+
+src_compile() {
+ exbuild_strong "${FULLSLN}"
+}
+
+src_install() {
+ if use debug; then
+ DIR="Debug"
+ else
+ DIR="Release"
+ fi
+ elog "Installing ${DLLNAME}.dll into GAC "
+ egacinstall "${NAME}/bin/${DIR}/${DLLNAME}.dll"
+}
diff --git a/dev-util/mono-packaging-tools/mono-packaging-tools-1.4.2.2-r1.ebuild b/dev-util/mono-packaging-tools/mono-packaging-tools-1.4.2.2-r1.ebuild
deleted file mode 100644
index 56baa3a..0000000
--- a/dev-util/mono-packaging-tools/mono-packaging-tools-1.4.2.2-r1.ebuild
+++ /dev/null
@@ -1,154 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6 # >=portage-2.2.25
-KEYWORDS="~x86 ~amd64"
-RESTRICT="mirror"
-
-USE_DOTNET="net45"
-# debug = debug configuration (symbols and defines for debugging)
-# test = allow NUnit tests to run
-# developer = generate symbols information (to view line numbers in stack traces, either in debug or release configuration)
-# aot = compile to machine code and store to disk during install, to save time later during startups
-# nupkg = create .nupkg file from .nuspec
-# gac = install into gac
-# pkg-config = register in pkg-config database
-IUSE="+${USE_DOTNET} debug +developer test +aot doc"
-
-TOOLS_VERSION=14.0
-
-inherit gac nupkg
-
-get_revision()
-{
- git rev-list --count $2..$1
-}
-
-get_dlldir() {
- echo /usr/lib64/mono/${PN}
-}
-
-NAME="mono-packaging-tools"
-HOMEPAGE="http://arsenshnurkov.github.io/mono-packaging-tools"
-
-REPOSITORY_URL="https://github.com/ArsenShnurkov/${NAME}"
-
-EGIT_COMMIT="92b9ac4cb83e52a5b679f139ff536da29c321456"
-SRC_URI="${REPOSITORY_URL}/archive/${EGIT_COMMIT}.tar.gz -> ${PN}-${PV}.tar.gz"
-S="${WORKDIR}/${NAME}-${EGIT_COMMIT}"
-
-SLOT="0"
-
-DESCRIPTION="Command line utilities for packaging mono assemblies with portage"
-LICENSE="GPL-3"
-LICENSE_URL="https://raw.githubusercontent.com/ArsenShnurkov/mono-packaging-tools/master/LICENSE"
-
-COMMON_DEPENDENCIES="|| ( >=dev-lang/mono-4.2 <dev-lang/mono-9999 )
- dev-dotnet/mono-options[gac]
- >=dev-dotnet/slntools-1.1.3_p201508170-r1[gac]
- >=dev-dotnet/eto-parse-1.4.0[gac]
- "
-DEPEND="${COMMON_DEPENDENCIES}
- dev-dotnet/msbuildtasks
- sys-apps/sed"
-RDEPEND="${COMMON_DEPENDENCIES}
- "
-
-NUSPEC_VERSION=${PV}
-ASSEMBLY_VERSION=${PV}
-
-SLN_FILE="mono-packaging-tools.sln"
-METAFILETOBUILD="${S}/${SLN_FILE}"
-NUSPEC_ID="${NAME}"
-COMMIT_DATE_INDEX="$(get_version_component_count ${PV} )"
-COMMIT_DATE="$(get_version_component_range $COMMIT_DATE_INDEX ${PV} )"
-NUSPEC_FILENAME="${PN}.nuspec"
-#ICON_FILENAME="${PN}.png"
-#ICON_FINALNAME="${NUSPEC_ID}.${NUSPEC_VERSION}.png"
-#ICON_PATH="$(get_nuget_trusted_icons_location)/${ICON_FINALNAME}"
-
-src_prepare() {
- eapply "${FILESDIR}/MSBuildExtensionsPath.patch"
-
- #change version in .nuspec
- # PV = Package version (excluding revision, if any), for example 6.3.
- # It should reflect the upstream versioning scheme
- sed "s/@VERSION@/${NUSPEC_VERSION}/g" "${FILESDIR}/${NUSPEC_ID}.nuspec" >"${S}/${NUSPEC_ID}.nuspec" || die
-
- # restoring is not necessary after switching to GAC references
- # enuget_restore "${METAFILETOBUILD}"
- default
-}
-
-src_compile() {
- exbuild_strong /p:VersionNumber="${ASSEMBLY_VERSION}" "${METAFILETOBUILD}"
- enuspec "${NUSPEC_ID}.nuspec"
-}
-
-src_install() {
- # install dlls
- insinto "$(get_dlldir)/slot-${SLOT}"
- if use debug; then
- DIR="Debug"
- else
- DIR="Release"
- fi
- doins mpt-core/bin/${DIR}/mpt-core.dll
- dosym slot-${SLOT}/mpt-core.dll $(get_dlldir)/mpt-core.dll
- einstall_pc_file ${PN} ${ASSEMBLY_VERSION} mpt-core
-
- insinto "/usr/share/${PN}/slot-${SLOT}"
- install_tool mpt-gitmodules
- install_tool mpt-sln
- install_tool mpt-csproj
- install_tool mpt-machine
- install_tool mpt-nuget
-
- enupkg "${WORKDIR}/${NUSPEC_ID}.${NUSPEC_VERSION}.nupkg"
-
- if use doc; then
- dodoc README.md
- fi
-}
-
-pkg_prerm() {
- if use gac; then
- # TODO determine version for uninstall from slot-N dir
- einfo "removing from GAC"
- gacutil -u mpt-core
- # don't die, it there is no such assembly in GAC
- fi
-}
-
-pkg_postinst() {
- if use gac; then
- einfo "adding to GAC"
- gacutil -i "$(get_dlldir)/slot-${SLOT}/mpt-core.dll" || die
- fi
-}
-
-install_tool() {
- if use debug; then
- DIR="Debug"
- else
- DIR="Release"
- fi
-
- # installs .exe, .exe.config (if any), .mdb (if exists)
- doins "$1"/bin/${DIR}/*.exe
- if [ -f "$1"/bin/${DIR}/*.exe.config ]; then
- doins "$1"/bin/${DIR}/*.exe.config
- fi
- if use developer; then
- doins "$1"/bin/${DIR}/*.mdb
- fi
-
- MONO=/usr/bin/mono
-
- if use debug; then
- make_wrapper "$1" "${MONO} --debug /usr/share/${PN}/slot-${SLOT}/$1.exe"
- else
- make_wrapper "$1" "${MONO} /usr/share/${PN}/slot-${SLOT}/$1.exe"
- fi;
-}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2017-07-04 13:18 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-07-04 13:18 [gentoo-commits] proj/dotnet:master commit in: app-editors/mypad/, dev-dotnet/ndepend-path/, dev-util/mono-packaging-tools/ Mikhail Pukhlikov
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox